> ## Documentation Index
> Fetch the complete documentation index at: https://docs-staging.incredibuild.com/llms.txt
> Use this file to discover all available pages before exploring further.

# User Management API

Last updated on Jun 28, 2023

You can create new users with our User Management API. This requires an [API Key](/windows/10.4/api-keys) and an Enterprise license. Users created using this API are given **Viewer** permissions.

**Request Endpoint**

```
POST https://{IB Coordinator IP Address/Hostname}:{Web Access Port}/api/users/createViewers?version={api version}
```

Where **version** is the version of the Incredibuild API. For this version of Incredibuild, the API version is 1.2.0

For example:

```
POST https://coordinatorPC:8000/api/users/createViewers?version=1.2.0
```

**Request Format:**

The header must include a key called client-api-key and the value of your API key. All APIs are case sensitive.

The request body is an array of users where each item contains the following fields (some are optional). Each request can contain up to 15 new users.

| Type   | Field          | Description        | Required | Data Type                                                                                              |
| ------ | -------------- | ------------------ | -------- | ------------------------------------------------------------------------------------------------------ |
| Header | client-api-key | your API key       | yes      | string                                                                                                 |
| Body   | username       | username for login | yes      | string                                                                                                 |
| Body   | firstName      | User's first name  | no       | string                                                                                                 |
| Body   | lastName       |                    | no       | string                                                                                                 |
| Body   | email          |                    | no       | string in email format                                                                                 |
| Body   | password       |                    | yes      | string. Must be at least 8 characters, at least one uppercase letter, no spaces or special characters. |

**Example Body**

[Copy](javascript:void\(0\);)

```
{

 [{

"userName": "Linda236watt",

"firstName": "Linda",

"lastName": "Watt",

"email":  "Linda236watt@gmail.com",

"password": "string"
 
},

{

"username": "Jane.Austen",

"firstName": "Jane",

"lastName": "A",

"email": "Jane.Austen@yahoo.com",

"password": "string"

},
 

{

"username": "AlexChampion",

"firstName": "Alexandar",

"lastName": "Champion",

"email": "alex@yahoo.com",

"password": "string"

}

]

}
```
